#pragma once
#include "asset_render.h"

namespace engineapi {
	class Shader : public Asset {
	protected:
		uint32_t mId;
		ShaderInfo mInfo;
	public:
		Shader(string name, uint32_t flags);
		~Shader();
		void BeginLoad()override;

		uint32_t& GetID() {
			return mId;
		}
		ShaderInfo& GetInfo() {
			return mInfo;
		}
		vector<char> GetVertData();
		vector<char> GetFragData();
	};
};